Index: /svnbot/trunk/README
===================================================================
--- /svnbot/trunk/README	(revision 8)
+++ /svnbot/trunk/README	(revision 9)
@@ -1,59 +1,73 @@
-svnbot -- A commit notification bot:
+SvnBot
 
-As nice as the CIA Open Source Notification System[1] is, I wanted
-something a little more simple.  I was not overly interested in
-statistics, and Trac[2] provides most of what I need in a web-based
-interface to Subversion[3], I just wanted a simple IRC bot that would
-alert people when something is committed to a repository.
+   A commit notification bot
 
-Since I have been present in the #trac IRC channel on Freenode, I have
-noticed whippingboy[4].  I am told this is just a Supybot[5] with an RSS
-plugin, which polls Trac's timeline RSS feed from a cron job.
+   SvnBot is intended to be a small, simple, IRC bot that sends out a
+   message when a commit is made to a repository.
+
+   Other projects exist that cover similar functionality:
+
+     * The CIA Open Source Notification System[1] tracks project
+       activities and presents some statistics about projects. It has
+       the ability to provide notification via an IRC bot.
+
+     * whippingboy[2] is an IRC bot (thought to be a Supybot[3] with an
+       RSS plugin) that polls the timeline for projects using Trac,
+       notifying on any new changes, including commits to the
+       repository.
+
+   The main reasons for creating yet another bot were for its
+   simplicity, and as a personal programming exercise.
 
 
-REQUIREMENTS
+Requirements
 
-svnbot is written in Python, and uses the Twisted API:
+   SvnBot is written in Python, and uses the Twisted API:
 
-  * Python (>=2.2), from http://python.org/
-  * Twisted 1.3, from http://twistedmatrix.com/ (untested in Twisted 2)
+     * Python (>=2.2), from http://python.org/
+     * Twisted 1.3, from http://twistedmatrix.com/
+       (untested in Twisted 2)
 
 
-USAGE
+Downloading
 
-Twisted provides packaging facilities to supposedly make things easy on
-running and configuring Twisted applications, but I haven't done that
-yet. :)
+   There is no convenient package to download yet. Instead, make sure
+   you have Subversion[4] installed and grab the latest development
+   version from the repository:
 
-Instead, edit svnbot.py to change the IRC server and channel, and run
-with:
-
-    twistd -oy svnbot.py
+ svn checkout \
+     http://svn.sward.vm.bytemark.co.uk/repos/misc/svnbot/trunk svnbot
 
 
-TODO
+Configuration and Usage
 
-  * Stuff
+   There are no configuration files yet. Just edit svnbot.py to change
+   the IRC server and channel, and run with:
+
+ twistd -oy svnbot.py
 
 
-LICENSE
+License
 
-Svnbot is free software; you can redistribute it and/or modify it under
-the terms of version 2 of the GNU General Public License as published by
-the Free Software Foundation.
+   Svnbot is free software; you can redistribute it and/or modify it
+   under the terms of version 2 of the GNU General Public License[5] as
+   published by the Free Software Foundation.[6]
 
-Svnbot is distributed in the hope that it will be useful, but WITHOUT
-ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-for more details.
+   Svnbot is distributed in the hope that it will be useful, but WITHOUT
+   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+   FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+   License[5] for more details.
 
-You should have received a copy of the GNU General Public License along
-with Svnbot; if not, write to the Free Software Foundation, Inc., 51
-Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+   You should have received a copy of the GNU General Public License[5]
+   along with Svnbot; if not, write to the Free Software Foundation,
+   Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-----
-1. http://cia.navi.cx/
-2. http://www.edgewall.com/trac/
-3. http://subversion.tigris.org/
-4. http://whippingboy.homeunix.org/
-5. http://supybot.com/
+
+References
+
+   1. http://cia.navi.cx/
+   2. http://whippingboy.homeunix.org/
+   3. http://supybot.com/
+   4. http://subversion.tigris.org/
+   5. http://www.fsf.org/licensing/licenses/gpl.html
+   6. http://www.fsf.org/
